#
# spec file for package python-pygit2
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pygit2
Version:        0.24.0
Release:        0
Url:            https://github.com/libgit2/pygit2
Summary:        Python bindings for libgit2
License:        GPL-2.0
Group:          Development/Languages/Python
Source:         https://pypi.io/packages/source/p/pygit2/pygit2-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libgit2-devel >= 0.23
BuildRequires:  python-cffi
BuildRequires:  python-devel
BuildRequires:  python-six
#BuildRequires:  python-unittest2
BuildRequires:  libopenssl-devel
BuildRequires:  python-setuptools
%requires_eq    python-cffi

%description
Bindings for libgit2, a linkable C library for the Git version-control system.

%prep
%setup -n pygit2-%{version}
# Adjust include/lib paths to local system
#sed -i 's|/usr/local/include|%%{_includedir}|' setup.py
#sed -i 's|/usr/local/lib|%%{_libdir}|' setup.py

%build
CFLAGS="%{optflags} -fno-strict-aliasing" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
#python setup.py test

%files
%defattr(-,root,root,-)
%doc COPYING README.rst
%{python_sitearch}/*

%changelog
